OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - b -

- b : Blitter_32bppSimple::Pixel , SpriteLoader::CommonPixel , DiagonalTileArea
- b_cur : DiagonalTileIterator
- b_max : DiagonalTileIterator
- Backup() : OrderBackup , Backup< T >
- bankrupt_asked : CompanyProperties
- bankrupt_timeout : CompanyProperties
- base : CStrA , LinkGraph::BaseEdgeIterator< Tedge, Tedge_wrapper, Titer > , BuildTreesWindow
- base_anno : LinkGraphJob::EdgeIterator
- base_intro : EngineInfo
- base_life : EngineInfo
- base_sprites : RailtypeInfo
- base_tile : AirportTileTableIterator
- base_x : DiagonalTileIterator
- base_y : DiagonalTileIterator
- BaseEdgeIterator() : LinkGraph::BaseEdgeIterator< Tedge, Tedge_wrapper, Titer >
- BaseNetworkContentDownloadStatusWindow() : BaseNetworkContentDownloadStatusWindow
- baseset : BaseSetTextfileWindow< TBaseSet >
- BASESET : TarScanner
- BaseStation() : BaseStation
- been_used : CheatEntry , Cheat
- BeforeDownload() : ClientNetworkContentSocketHandler
- Begin() : SmallVector< T, S > , FileList , LinkGraph::ConstNode , LinkGraph::Node , LinkGraphJob::Node , CBinaryHeapT< T > , ByteBlob , ClientNetworkContentSocketHandler , CargoDataEntry
- begin : MakeEnumPropsT< Tenum_t, Tstorage_t, Tbegin, Tend, Tinvalid, Tnum_bits > , TinyEnumT< Tenum_t > , FileReader
- BeginCritical() : ThreadMutex , ThreadMutex_None , ThreadMutex_OS2 , ThreadMutex_pthread , ThreadMutex_Win32
- BeginLoading() : Vehicle
- BeginStruct() : DumpTarget
- behaviour : IndustrySpec
- best : FindTrainOnTrackInfo
- best_bird_dist : NPFFoundTargetData
- best_length : FindDepotData
- best_path_dist : NPFFoundTargetData
- best_position : StatueBuildSearchData
- best_trackdir : NPFFoundTargetData
- big_ufo_destroyer_target : DisasterVehicle
- BINARY_HEAP_BLOCKSIZE_BITS : BinaryHeap
- bind : NetworkUDPSocketHandler
- bitnum : CargoSpec
- BLINK_PERIOD : SmallMapWindow
- blitter : GraphicsSet
- BlitterFactory() : BlitterFactory
- Blitters : BlitterFactory
- BLOB_DISTANCE : CargoesField
- BLOB_HEIGHT : CargoesField
- BLOB_WIDTH : CargoesField
- block : AirportFTA , PacketReader , AirportFTAbuildup
- block_mode : SaveLoadParams
- block_preview : CompanyProperties
- block_type : Action5Type
- blocked : StationSpec
- blocks : PacketReader , BinaryHeap , MemoryDumper
- blot_offset : NetworkGameWindow
- BootstrapAskForDownloadWindow() : BootstrapAskForDownloadWindow
- BootstrapContentDownloadStatusWindow() : BootstrapContentDownloadStatusWindow
- bottom_end : CargoesField
- bottom_offset : AIDebugWindow
- BOTTOM_OFFSET : NewGRFInspectWindow
- BOTTOM_SPACING : TextfileWindow
- bottom_spacing : MessageHistoryWindow
- BP_HIDE_BUTTONS : VehicleListWindow
- BP_SHOW_BUTTONS : VehicleListWindow
- bpp : BmpInfo
- branch : AllowedSubtags
- Branch() : SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >
- branch_count : SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size >::PooledSmallStack
- break_check_enabled : AIDebugWindow
- break_editbox : AIDebugWindow
- break_string : AIDebugWindow
- break_string_filter : AIDebugWindow
- breakdown_chance : Vehicle
- breakdown_ctr : Vehicle
- breakdown_delay : Vehicle
- breakdowns_since_last_service : Vehicle
- bribe : EconomySettings
- bridge_offset : RailtypeInfo
- BridgeIndexSorter() : BuildBridgeWindow
- BridgePriceSorter() : BuildBridgeWindow
- BridgeSpeedSorter() : BuildBridgeWindow
- bridgetext_offset : BuildBridgeWindow
- BroadcastNewEvent() : AI
- buf : Textbuf , Lexer , PacketReader , ReadBuffer , MemoryDumper
- buf_len : Lexer
- bufe : PacketReader , ReadBuffer , MemoryDumper
- buffer : Layouter::LineCacheItem , IConsoleLine , ReusableBuffer< T > , FallbackParagraphLayout , Packet , SpriteLoader::Sprite
- buffer_begin : FallbackParagraphLayout
- buffer_depth : CocoaSubdriver
- buffer_end : Fio
- buffer_start : Fio
- BufferHasRoom() : OutputStore
- BufferSize() : Blitter_32bppBase , Blitter_8bppBase , Blitter , Blitter_Null , Blitter_32bppAnim
- bufp : ReadBuffer
- bug : LoggedChange
- build_caption : RailtypeInfo
- build_cost_multiplier : ObjectSpec
- build_date : BaseStation , Depot , TileDesc , Object
- build_depot : RailtypeInfo
- build_ew_rail : RailtypeInfo
- build_ns_rail : RailtypeInfo
- build_on_slopes : ConstructionSettings
- build_tunnel : RailtypeInfo
- build_x_rail : RailtypeInfo
- build_y_rail : RailtypeInfo
- build_year : Vehicle
- BuildActionDropdownList() : BaseVehicleListWindow
- BuildAirportClassDropDown() : BuildAirportWindow
- BuildArrivalDepartureList() : TimetableWindow
- BuildCargoList() : StationViewWindow
- BuildCompanyList() : CompanyLeagueWindow
- BuildContentList() : NetworkContentListWindow
- BuildContentTypeStringList : NetworkContentListWindow
- builddata : IndustryBuildData
- BuildDropDownList() : StoryBookWindow , GameOptionsWindow
- BuildFileList() : FileList
- BuildFlowList() : StationViewWindow
- BuildGroupList() : VehicleGroupWindow
- BuildGUINetworkGameList() : NetworkGameWindow
- building_availability : HouseSpec
- building_counts : TownCache
- building_flags : HouseSpec
- building_name : HouseSpec
- BuildRefitList() : RefitWindow
- BuildSortIndustriesList() : IndustryDirectoryWindow
- BuildStationsList() : CompanyStationsWindow
- BuildStoryPageElementList() : StoryBookWindow
- BuildStoryPageList() : StoryBookWindow
- bus_station : Station
- bus_stops : Station
- button : GoalQuestionWindow
- button_size : BootstrapAskForDownloadWindow
- ButtonHit() : NWidgetLeaf
- ButtonPlanes : VehicleListWindow
- buttons : GoalQuestionWindow
- ByteBlob() : ByteBlob
- bytes : Textbuf
- bytes_per_frame : NetworkSettings
- bytes_per_frame_burst : NetworkSettings